<VirtualHost *:80>

        ServerName guaca.kesaco.net
        Redirect permanent / https://guaca.kesaco.net

</VirtualHost>

<VirtualHost *:443>

    ServerName guaca.kesaco.net

    SSLEngine On
    SSLCertificateFile /etc/letsencrypt/live/guaca.kesaco.net/fullchain.pem
    SSLCertificateKeyFile /etc/letsencrypt/live/guaca.kesaco.net/privkey.pem

        SSLProxyEngine On
        SSLProxyCheckPeerCN Off
        SSLProxyCheckPeerName Off
        SSLProxyVerify none
        ProxyPreserveHost On
        ProxyPass / https://192.168.20.2/
        ProxyPassReverse / https://192.168.20.2/
         RedirectMatch ^/$ https://192.168.20.2/

    ErrorLog ${APACHE_LOG_DIR}/error.log
    CustomLog ${APACHE_LOG_DIR}/access.log combined

</VirtualHost>